GET /api/v3/rate/{rateId}/version

Get a list of all versions for a rate schedule with their details including dates, unit cost values, and bodylines

GetRateVersionsV3 Permissions: VendorsAndRatesModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
rateId ID of the rate schedule to retrieve integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

RateVersionResponse
Property Description Type
accountLineItems Cost bodylines for the account GenericBodylineResponse[]
GenericBodylineResponse properties
Property Description Type
calculationType The calculation type for the line item. Either “Fixed”, “Percentage”, or “Subtotal” string
caption The caption string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value The bodyline’s value number (double)
beginDate Begin date for the version string (date-time)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Created date string (date-time)
demandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
demandUnitCost Unit cost for the demand number (double)
endDate End date for the version string (date-time)
meterLineItems Cost bodylines for the meter GenericBodylineResponse[]
GenericBodylineResponse properties
Property Description Type
calculationType The calculation type for the line item. Either “Fixed”, “Percentage”, or “Subtotal” string
caption The caption string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value The bodyline’s value number (double)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate Last modified date string (date-time)
note Note string
udfs List of user defined/custom fields and values for this version UDFFieldChild[]
UDFFieldChild properties
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description Required (defined) string
displayOrder Required (defined) integer (int32)
important Required (defined) boolean
name Required (defined) string
udfId Required (defined) integer (int32)
udfSelectValues Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder Required (defined) integer (int32)
udfSelectValueId Required (defined) integer (int32)
value Required (defined) string
value Required (defined) string
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
useUnitCost Unit cost for the use number (double)
versionId ID of the rate schedule version integer (int32)
Example Response application/json
[
  {    "accountLineItems": [
      {      "calculationType": "string",      "caption": "string",      "observationType": {},      "value": 1.0
    }
    ],    "beginDate": "2026-03-30",    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "demandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "demandUnitCost": 1.0,    "endDate": "2026-03-30",    "meterLineItems": [
      {      "calculationType": "string",      "caption": "string",      "observationType": {},      "value": 1.0
    }
    ],    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "note": "string",    "udfs": [
      {      "dataType": {},      "description": "string",      "displayOrder": 1,      "important": false,      "name": "string",      "udfId": 1,      "udfSelectValues": [],      "value": "string"
    }
    ],    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "useUnitCost": 1.0,    "versionId": 1
  }
]